.ellipsis-3
{
    display           : -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow          : hidden;
    white-space       : pre-wrap;
}
.ellipsis-2
{
    display           : -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow          : hidden;
    white-space       : pre-wrap;
    height            : calc((21px + (24 - 21) * ((100vw - 320px) / (1920 - 320))) * 2)
}
.section-b-space, .cart-section{
    min-height: 700px;
}
header .top-nav, header.active .sticky-header { padding: 10px 0 !important; }
header .navbar.navbar-expand-xl .navbar-nav.no-child .nav-link::before
{
    display: none !important;
}
.img-upload-custom{
    width   : 150px;
    height  : 150px;
    display : block;
    position: relative;
}
.img-upload-custom a.upload, .img-upload-custom button.upload{
    border          : 0;
    position        : absolute;
    top             : -5px;
    right           : -5px;
    width           : 25px;
    height          : 25px;
    border-radius   : 12px;
    display         : flex;
    justify-content : center;
    align-items     : center;
    background-color: #ff9e43;
    color           : white;
}
.cropperjs-sweetalert .swal2-html-container
{
    max-height: 500px !important;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input[type=number] {
    -moz-appearance: textfield;
}
.dropdown-end
{
    transform: translate(70px, 34px) !important
}
.nav-border .nav-link.active
{
    border-bottom: 4px solid #0d6efe;
}
.modal-backdrop
{
    height: 100% !important;
    width : 100% !important;
}


fieldset {
    border            : 1px groove #ddd !important;
    padding           : 0 1.4em 1.4em 1.4em !important;
    -webkit-box-shadow: 0px 0px 0px 0px #000;
    box-shadow        : 0px 0px 0px 0px #000;
}
legend {
    font-size       : 1.2em !important;
    font-weight     : bold !important;
    text-align      : left !important;
    width           : auto;
    padding         : 0 10px;
    border-bottom   : none;
    margin-top      : -15px;
    background-color: white;
    color           : black;
}


/**
 * Sticky Table CSS
 */
table.sticky-custom {
    width          : 100%;
    text-align     : center;
    border-collapse: collapse;
    margin         : 0;
}
table.sticky-custom th:after,
table.sticky-custom th:before {
    content : '';
    position: absolute;
    left    : 0;
    width   : 100%;
}
table.sticky-custom th:before {
    top       : -1px;
    border-top: 1px solid #dee2e6;
}
table.sticky-custom th:after {
    bottom       : -1px;
    border-bottom: 2px solid #dee2e6;
}
table.sticky-custom tfoot td:before {
    content : '';
    position: absolute;
    left    : 0;
    width   : 100%;
}
table.sticky-custom tfoot td:before {
    top       : -1px;
    border-top: 1px solid #dee2e6;
}
table.sticky-custom tfoot td:after {
    bottom       : -1px;
    border-bottom: 2px solid #dee2e6;
}
table.sticky-custom tr th{
    border: 2px solid #dee2e6;
}
table.sticky-custom thead th {
    position        : -webkit-sticky;
    position        : sticky;
    top             : 0;
    background-color: #edecec;
}
table.sticky-custom tfoot {
    position        : -webkit-sticky;
    position        : sticky;
    bottom          : 0;
    background-color: #edecec;
}
table.sticky-custom tbody:nth-of-type(1) tr:nth-of-type(1) td {
    border-top: none !important;
}
table.sticky-custom thead th, table.sticky-custom tfoot th {
    border-top   : none !important;
    border-bottom: none !important;
    box-shadow   : inset 0 2px 0 #dee2e6, inset 0 -2px 0 #dee2e6;
    padding      : 6px 3px;
}
table.sticky-custom thead th, table.sticky-custom tfoot th {
    background-clip: padding-box
}


/**
 * Scrollbar CSS
 */
::-webkit-scrollbar {
    width: 5px;
}
::-webkit-scrollbar-track {
    background: #f1f1f1; 
}
::-webkit-scrollbar-thumb {
    background: #888; 
}
::-webkit-scrollbar-thumb:hover {
    background: #555; 
}


/* Profile Picture */
.dropdown-menu{
    transform: translate(-40px, 34px) !important;
}

/**
 * Select 2
 */
.select2-container .select2-selection--single
{
    height: 40px !important;
    border: 1px solid #ced4da !important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered
{
    line-height: 38px !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow
{
    height: 38px !important;
}